/*STYLES GENERAUX*/
*{
    font-family: Avenir, sans-serif;
    padding: 0px;
    margin: 0px;
    text-align: justify;
    box-sizing: border-box;
}
body{
    background-color: black;
}
p{
    font-size: 1em;
    line-height: 1.5em;
}
a{
    text-decoration: none;
    color: #000;
}

/*HEADER & FOOTER*/
header, footer{
    width: 100%;
    padding: 20px 0px;
    background: url("../image/cover.jpeg") #4f4f4f;
    box-shadow: 0px 0px 15px #333;
}
header{
    border-bottom: 2px solid #fff;
    height: 120px;
}
header h1{
    color: rgb(8, 8, 8);
    font-size: 1.5em;
    width: 90%;
    margin: 0 auto;
    text-align: center;
}

footer{
    border-top: 2px solid #fff;
}
footer p{
    width: 90%;
    margin: 0 auto;
    color: rgb(10, 9, 9);
    text-align: center;
}
footer a{
    color: rgb(10, 9, 9);
}

/*SECTIONS*/
section{
    display: flex; 
    flex-flow: row wrap;
    justify-content: center;
    width: 100%;
    padding-bottom: 20px;
    margin: 20px auto;
    box-shadow: 0px 0px 10px #bbb;
    background-color: #fff;
}

section h2{
    margin: 20px 0;
    width: 90%;
}
section > div{
    width: 90%;
}

/*SECTION INFOS*/
.menu{
    overflow: hidden;
}
.menu li {
    display: inline;
    float: left;
    border-right: 1px solid rgb(4, 31, 105);
  }
.menu li:last-child {
    border-right: none;
  }
.menu a{
    display: block;
    padding: 8px;
    background-color: #dddddd;
  }
.photo{
    text-align: center;
}
.photo img{
    width: 300px;
    height: 300px;
    border: 3px solid #fff;
    box-shadow: 0px 0px 10px #777;
    border-radius: 50%;
    margin-top: -80px;
}
.photo img:hover {
    /* Start the shake animation and make the animation last for 0.5 seconds */
    animation: shake 0.5s;
  
    /* When the animation is finished, start again */
    animation-iteration-count: infinite;
    width:300px;
    height:300px;
  }
  @keyframes shake {
    0% { transform: translate(1px, 1px) rotate(0deg); }
    10% { transform: translate(-1px, -2px) rotate(-1deg); }
    20% { transform: translate(-3px, 0px) rotate(1deg); }
    30% { transform: translate(3px, 2px) rotate(0deg); }
    40% { transform: translate(1px, -1px) rotate(1deg); }
    50% { transform: translate(-1px, 2px) rotate(-1deg); }
    60% { transform: translate(-3px, 1px) rotate(0deg); }
    70% { transform: translate(3px, 1px) rotate(-1deg); }
    80% { transform: translate(-1px, -1px) rotate(1deg); }
    90% { transform: translate(1px, 2px) rotate(0deg); }
    100% { transform: translate(1px, -2px) rotate(-1deg); }
  }
  .exp img:hover {
    /* Start the shake animation and make the animation last for 0.5 seconds */
    animation: shake 0.5s;
  
    /* When the animation is finished, start again */
    animation-iteration-count: infinite;
  }
  .social:hover{
    /* Start the shake animation and make the animation last for 0.5 seconds */
    animation: shake 0.5s;
  
    /* When the animation is finished, start again */
    animation-iteration-count: infinite;
  }
.prez{
    border-bottom: 2px dashed #ccc;
}
.prez a{
    display: block;
    text-align: center;
    padding: 10px;
    margin: 10px auto 30px auto;
    color: #fff;
    background-color: #EA0;
    box-shadow: 0px 0px 10px #ccc;
    border-radius: 5px;
}
.contact-flex{
    display: flex;
    flex-flow: row wrap;
    align-items: center;
}
.contact-flex p:first-child{
    flex: 0 0 40%;
}
.contact-flex p:last-child{
    flex: 0 0 60%;
}
.social{
    display: flex;
    justify-content: space-around;
    margin: 10px auto 0px auto;
}
.social img{
    width: 70px;
    height: 40px;
}

/*SECTION EXP ET FORMATION*/
.exp{
    display: flex;
    flex-flow: row wrap;
    border-bottom: 1px solid #bbb;
    padding-bottom: 10px;
    margin-bottom: 10px;
}
.exp-info{
    display: flex;
    flex-flow: column wrap;
}
.exp-logo{
    flex: 0 0 25%;
    max-width: 100px;
}
.exp-info{
    flex: 0 0 70%;
    margin-left: auto;
}
.exp img{
    width: 100%;
}
.exp h3{
    font-size:  1.2em;
}
.exp h4{
    font-size:  1em;
    font-weight: normal;
}

/*SECTION COMPETENCES*/
.h3gauche{
    width: 90%;
    padding-bottom: 3em;
}
.comp{
    display:flex;
    flex-flow: row wrap;
    margin-bottom: 10px;
}
.comp p{
    flex: 0 0 40%;
}
.langue{
    display:flex;
    flex-flow: row wrap;
    margin-bottom: 10px;
}
.langue p{
    flex: 0 0 40%;
}
.conteneur-barre{
    flex: 0 0 60%;
    border-radius: 5px;
    background-color: grey;
    border-bottom: 1px ridge grey;
}
.barre{
    display: block;
    height: 100%;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}
.c70{
    width: 70%;
    background-color: #8B8;
}
.c50{
    width: 50%;
    background-color: #8B8;
}
.c60{
    width: 60%;
    background-color: #8B8;
}
.c85{
    width: 85%;
    background-color: #8B8;
}
.c90{
    width: 90%;
    background-color: #4B8;
}
.c95{
    width: 95%;
    background-color: #4B8;
}
.c100{
    width: 100%;
    background-color: #4B8;
    border-radius: 5px;
}
.comp2{
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
}
.conteneur-barre2{
    flex: 0 0 100%;
    height: 0.5em;
    margin-bottom: 0.25em;
    border-radius: 5px;
    background-color: grey;
}

/*SECTION INTERETS*/
.interet{
    flex: 0 1 50%;
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    margin-bottom: 20px;
}
.interet img{
    width: 80px;
    height: 80px;
    border-radius: 50%;
    box-shadow: 0px 0px 15px #555;
}

/*VERSION BUREAU DU CV*/
@media screen and (min-width: 980px){
    section{
        width: 80%;
        box-shadow: 0px 0px 10px #bbb;
    }
    a:hover{
        color: #EA0;
    }
    header h1{
        width: 80%;
    }
    .prez, .contact{
        flex: 0 0 45%;
    }
    .prez{
        border-bottom: none;
        border-right: 2px solid #ccc;
        padding-right: 20px;
        margin-left: auto;
    }
    .contact{
        padding-left: 20px;
        margin-right: auto;
    }
    .prez a{
        border: 2px solid transparent;
    }
    .prez a:hover{
        color: #f28835;
        background-color: #fff;
        border: 2px solid #f28835;
        box-shadow: 0px 0px 20px #666;
    }
    .exp-logo{
        flex: 0 0 10%;
    }
    .exp-info, .exp-desc{
        flex: 0 0 85%;
        margin-left: auto;
    }
    .interet{
        flex: 0 1 25%;
    }
    .interet img:hover{
        /* Start the shake animation and make the animation last for 0.5 seconds */
        animation: shake 0.5s;
      
        /* When the animation is finished, start again */
        animation-iteration-count: infinite;
        width:150px;
        height:140px;
        opacity:1;
      }
    }